using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Exferia_Aplicacion.Visualizacion;

namespace Exferia_Controles
{
    public partial class Exferia_BarraProgreso : UserControl
    {
        #region Propiedades Publicas

        public void Cambiar_Fuente()
        {
            ex_lbl_Total.Font = Fuentes.G_FONT_TEXTOS;
        }

        public void Cambiar_Colores()
        {
            ex_lbl_Total.ForeColor = Colores.G_COLOR_FONDO_BARRAPROGRESO_RELLENA;
            pgb_Personalizado.BackColor = Colores.G_COLOR_FONDO_BARRAPROGRESO_VACIA;
 
        }

        internal int g_int_Total = 0;
        public int Exferia_BarraProgreso_Total
        {
            set
            {
                g_int_Total = value;
            }
            get
            {
                return g_int_Total;
            }
        }
        public int Exferia_BarraProgreso_Actualizar
        {
            set
            {
                try
                {
                    if (value > g_int_Total)
                    {
                        ex_lbl_Total.Text = g_int_Total + "/" + g_int_Total;
                    }
                    else
                    {
                        ex_lbl_Total.Text = value + "/" + g_int_Total;

                        if (g_int_Total > 0)
                        {
                            pgb_Personalizado.Value = (value * 100) / g_int_Total;
                        }
                        else
                        {
                            pgb_Personalizado.Value = 0;
                        }
                    }
                }
                catch 
                {}
            }
        }
        #endregion



        public Exferia_BarraProgreso()
        {
            InitializeComponent();


        }
    }
}
